#!/usr/bin/python
# -*- coding: utf-8 -*-

import sqlite3 as lite
import sys
import serial
import csv
import MySQLdb
from datetime import datetime

arduinoData = serial.Serial('COM3', 9600)      # change the name of Arduino port, if the serial port is different.

tempWater = []
pH = []
Lux = []
humidity = []
tempAir = []
turbidity = []
data = tempWater,pH,Lux,humidity,tempAir,turbidity

while True:                                  # While loop that loops forever

    while (arduinoData.inWaiting()==0):      #Wait here until there is data
        pass                                 #do nothing
    arduinoString = arduinoData.readline()    #read the line of text from the serial port

    date = str(datetime.now())
    temp1, ph, lux, humidite, temp2, turbidite = map(float,arduinoString.split(","))    #separate parameters



    db=MySQLdb.connect("localhost","root","","test")            # connect with the data base
    cursor=db.cursor()
    sql="INSERT INTO mesure(Date_de_mesure,TempInt,pH,Luminosite,Humidite,TempExt,Turbidite) VALUES ('%s','%s','%s','%s','%s','%s','%s')" %(date,temp1, ph, lux, humidite, temp2,turbidite)

    try:
        cursor.execute(sql)
        db.commit()

    except:
        db.rollback()

    db.close()





